> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# delete OTP

> Delete OTP. TOTP code should be passed in payload to perform operation from non-admin roles.



## OpenAPI

````yaml /openapi.json delete /api/v1/user/{id}/otp/{credentialId}
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/user/{id}/otp/{credentialId}:
    delete:
      tags:
        - User Route
      summary: delete OTP
      description: >-
        Delete OTP. TOTP code should be passed in payload to perform operation
        from non-admin roles.
      parameters:
        - name: credentialId
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    ResponseDto:
      type: object
      properties:
        response:
          type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````